Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.dataquery
Interface IEssDataCell

All Superinterfaces:
  IEssBaseObject, IEssCell

public interface IEssDataCell
extends IEssCell

The IEssDataCell interface is a single cell of data.

Nested Class Summary
`static class` | `IEssDataCell.EEssAccessMode` The EEssAccessMode is an enumeration of cell access modes.
`static class` | `IEssDataCell.EEssDataCellType` The EEssDataCellType class is an enumeration of cell value types.

Nested classes inherited from class com.essbase.api.dataquery.IEssCell
`IEssCell.EEssCellType`

Method Summary
`IEssLinkedObject` | `createLinkedFileObject(java.lang.String desciption, java.lang.String fileNameTag, byte[] content)` Creates a linked file object in the cell.
`IEssLinkedObject` | `createLinkedObject(IEssLinkedObject.EEssLinkedObjectType type, java.lang.String desc, java.lang.String ref)` Creates a linked object in the cell.
`void` | `deleteLinkedObject(IEssLinkedObject obj)` Deletes a linked object in the cell.
`void` | `deleteLinkedObjects()` Deletes all linked object in the cell.
`IEssDataCell.EEssAccessMode` | `getAccessMode()` Gets the access mode.
`int` | `getColumnId()` Gets the column id.
`IEssDataCell.EEssDataCellType` | `getDataCellType()` Gets the data cell type.
`double` | `getDoubleValue()` Gets the double value of the data cell.
`IEssIterator` | `getLinkedObjects()` Gets the linked objects in the cell.
`java.lang.String[]` | `getMemberCombination()` Gets the member combination for the cell.
`int` | `getRowId()` Gets the row id.
`boolean` | `isCellNoteLinked()` Checks if the cell has linked cell note.
`boolean` | `isDrillThrough()`
`boolean` | `isObjectsLinked()` Checks if the cell has linked objects.
`boolean` | `isPartitionLinked()` Checks if the cell has linked partitions.
`boolean` | `isUrlLinked()` Checks if the cell has linked URL.
`boolean` | `isWinAppLinked()` Checks if the cell has linked windows apps.
`void` | `setValue(double value)` Sets the data cell value.

Methods inherited from interface com.essbase.api.dataquery.IEssCell
`getCellType, getValue, setValue`

Method Detail

### getRowId

    public int getRowId()
                 throws EssException

  Gets the row id.

  Returns:
    The row id.
  Throws:
    `EssException` - if an error occurs.

### getColumnId

    public int getColumnId()
                    throws EssException

  Gets the column id.

  Returns:
    The column id.
  Throws:
    `EssException` - if an error occurs.

### getDataCellType

    public IEssDataCell.EEssDataCellType getDataCellType()
                                                  throws EssException

  Gets the data cell type.

  Returns:
    The data cell type.
  Throws:
    `EssException` - if an error occurs.

### getAccessMode

    public IEssDataCell.EEssAccessMode getAccessMode()
                                              throws EssException

  Gets the access mode. This method checks the filter definition and also for the presence of dynamic calc member (or, label only member with the first child as dynamic calc).

  Returns:
    The access mode.
  Throws:
    `EssException` - if an error occurs.

### isObjectsLinked

    public boolean isObjectsLinked()
                            throws EssException

  Checks if the cell has linked objects.

  Returns:
    true, if the cell has linked objects.
  Throws:
    `EssException` - if an error occurs.

### isPartitionLinked

    public boolean isPartitionLinked()
                              throws EssException

  Checks if the cell has linked partitions.

  Returns:
    true, if the cell has linked partitions.
  Throws:
    `EssException` - if an error occurs.

### isCellNoteLinked

    public boolean isCellNoteLinked()
                             throws EssException

  Checks if the cell has linked cell note.

  Returns:
    true, if the cell has linked cell note.
  Throws:
    `EssException` - if an error occurs.

### isWinAppLinked

    public boolean isWinAppLinked()
                           throws EssException

  Checks if the cell has linked windows apps.

  Returns:
    true, if the cell has linked windows apps.
  Throws:
    `EssException` - if an error occurs.

### isUrlLinked

    public boolean isUrlLinked()
                        throws EssException

  Checks if the cell has linked URL.

  Returns:
    true, if the cell has linked URL.
  Throws:
    `EssException` - if an error occurs.

### isDrillThrough

    public boolean isDrillThrough()
                           throws EssException

  Throws:
    `EssException` - if an error occurs.

### getDoubleValue

    public double getDoubleValue()
                          throws EssException

  Gets the double value of the data cell.

  Returns:
    The double value.
  Throws:
    `EssException` - if an error occurs.

### setValue

    public void setValue(double value)
                  throws EssException

  Sets the data cell value.

  Parameters:
    `value` - The double value.
  Throws:
    `EssException` - if an error occurs.

### getMemberCombination

    public java.lang.String[] getMemberCombination()
                                            throws EssException

  Gets the member combination for the cell.

  Returns:
    The member combination.
  Throws:
    `EssException` - if an error occurs.

### createLinkedObject

    public IEssLinkedObject createLinkedObject(IEssLinkedObject.EEssLinkedObjectType type,
                                               java.lang.String desc,
                                               java.lang.String ref)
                                        throws EssException

  Creates a linked object in the cell.

  Parameters:
    `type` - The object type.
    `desc` - The object description. For cell note type, specify the actual cell note here. For url/file type, specify the description here.
    `ref` - The object reference. For cell note type, this param is ignored. For url type, specify the url here. For file type, specify the file name here.
  Returns:
    The linked object.
  Throws:
    `EssException` - if an error occurs.

### createLinkedFileObject

    public IEssLinkedObject createLinkedFileObject(java.lang.String desciption,
                                                   java.lang.String fileNameTag,
                                                   byte[] content)
                                            throws EssException

  Creates a linked file object in the cell.

  Parameters:
    `desciption` - The file description.
    `fileNameTag` - The name used to identify the bytes.
    `content` - The file content bytes.
  Returns:
    The linked object.
  Throws:
    `EssException` - if an error occurs.

### getLinkedObjects

    public IEssIterator getLinkedObjects()
                                  throws EssException

  Gets the linked objects in the cell.

  Returns:
    The linked objects (each of type IEssLinkedObject).
  Throws:
    `EssException` - if an error occurs.

### deleteLinkedObject

    public void deleteLinkedObject(IEssLinkedObject obj)
                            throws EssException

  Deletes a linked object in the cell.

  Parameters:
    `obj` - The linked object.
  Throws:
    `EssException` - if an error occurs.

### deleteLinkedObjects

    public void deleteLinkedObjects()
                             throws EssException

  Deletes all linked object in the cell.

  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD